/*
    Name: KingArchitect 
    Author: DexignZone
    Portfolio : https://themeforest.net/user/dexignzone/portfolio
   

    Table of Content: 

    1. Abstract
    2. Base
    3. Pages
    
    
*/
@import url("https://fonts.googleapis.com/css2?family=Roboto+Condensed:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");
* {
  outline: none;
  padding: 0; }
  *::after {
    margin: 0;
    padding: 0; }
  *::before {
    margin: 0;
    padding: 0; }

body {
  line-height: 1.5;
  color: #777777;
  padding: 0;
  margin: 0; }
  body.fixed {
    overflow: hidden;
    position: fixed; }

h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {
  font-family: 'Roboto Condensed', sans-serif;
  font-weight: 600;
  color: #000; }

ul {
  padding: 0;
  margin: 0; }

img {
  border-style: none;
  height: auto;
  max-width: 100%;
  vertical-align: middle; }

li {
  list-style: none; }

a {
  text-decoration: none;
  outline: none;
  color: #000; }
  a:hover, a:focus, a.active {
    text-decoration: none;
    outline: none; }

b,
strong,
.strong {
  font-weight: 500;
  color: #000; }

.main-gallery {
  position: relative;
  height: 100vh;
  z-index: 1; }
  .main-gallery .gallery-img {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: -1; }
    .main-gallery .gallery-img img {
      width: 100%;
      height: 100%;
      object-fit: cover;
      -webkit-transition: all 0.5s;
      -ms-transition: all 0.5s;
      transition: all 0.5s;
      opacity: 0;
      position: absolute;
      top: 0;
      left: 0; }
      .main-gallery .gallery-img img.active {
        -webkit-transition: opacity 0.4s cubic-bezier(0.4, 0.24, 0.06, 0.91);
        -moz-transition: opacity 0.4s cubic-bezier(0.4, 0.24, 0.06, 0.91);
        transition: opacity 0.4s cubic-bezier(0.4, 0.24, 0.06, 0.91);
        opacity: 1; }

.gallery-area .media img {
  height: 20vh;
  object-fit: cover;
  width: 100%; }

.gallery-category {
  display: flex;
  box-shadow: 0 1px 0 0 rgba(255, 255, 255, 0.2); }
  .gallery-category .category-media {
    display: flex;
    width: 83.33%;
    overflow-x: auto; }
    @media only screen and (max-width: 991px) {
      .gallery-category .category-media {
        width: 75%; } }
    @media only screen and (max-width: 575px) {
      .gallery-category .category-media {
        width: 100%; } }
    .gallery-category .category-media .items {
      flex: 0 0 20%;
      max-width: 20%;
      border-right: 1px solid rgba(255, 255, 255, 0.2);
      -webkit-transition: all 0.5s;
      -ms-transition: all 0.5s;
      transition: all 0.5s; }
      .gallery-category .category-media .items:hover {
        background: rgba(0, 0, 0, 0.3); }
      .gallery-category .category-media .items .media {
        opacity: 0; }
      @media only screen and (max-width: 991px) {
        .gallery-category .category-media .items {
          flex: 0 0 33.33%;
          max-width: 33.33%; } }

.category-box {
  position: relative;
  z-index: 1;
  width: 16.66%; }
  @media only screen and (max-width: 991px) {
    .category-box {
      width: 25%; } }
  @media only screen and (max-width: 575px) {
    .category-box {
      display: none; } }
  .category-box:hover + .category-media .media {
    opacity: 1; }
  .category-box:after {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background: #000;
    opacity: 0.5;
    left: 0;
    top: 0; }
  .category-box .media img {
    width: 100%; }
  .category-box .info {
    position: absolute;
    bottom: 0;
    left: 0;
    padding: 20px 30px;
    width: 100%;
    z-index: 1; }
    @media only screen and (max-width: 1400px) {
      .category-box .info {
        padding: 15px 15px; } }
    .category-box .info .title {
      color: #fff;
      font-size: 30px;
      margin-bottom: 5px;
      text-transform: uppercase; }
      @media only screen and (max-width: 1400px) {
        .category-box .info .title {
          font-size: 22px; } }
    .category-box .info span {
      color: #fff;
      display: block; }
      @media only screen and (max-width: 1400px) {
        .category-box .info span {
          font-size: 14px; } }
      .category-box .info span i {
        color: #000;
        transform: scale(1.4);
        -moz-transform: scale(1.4);
        -webkit-transform: scale(1.4);
        -ms-transform: scale(1.4);
        -o-transform: scale(1.4);
        margin-right: 15px; }

@media only screen and (min-width: 1800px) {
  .col-xxxl-2 {
    flex: 0 0 16.6666666667%;
    max-width: 16.6666666667%; } }
